# Generated by Django 2.2.3 on 2020-09-10 05:26

from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
    ]

    vista_habilitados = 'create or replace view models_availability_view as \
                        select \
                        row_number() over() as id,\
                        cl.id as address,\
                        cl.street_location_id as street_location,\
                        a.availability_id as availability \
                        from places_completelocation as cl \
                        inner join \
                        models_availability_address a \
                        on a.completelocation_id = cl.id \
                        order by availability_id asc'

    vista_futuros_habilitados = 'create or replace view models_futureavailability_view as \
                                select \
                                row_number() over() as id,\
                                cl.id as address,\
                                cl.street_location_id as street_location,\
                                a.futureavailability_id as future_availability \
                                from places_completelocation as cl \
                                inner join \
                                models_futureavailability_address a \
                                on a.completelocation_id = cl.id \
                                order by future_availability asc'

    operations = [

        migrations.RunSQL('drop view availability_address'),
        migrations.RunSQL('drop view future_availability_address'),
        migrations.RunSQL(vista_habilitados),
        migrations.RunSQL(vista_futuros_habilitados),

    ]

